package com.ruoyi.project.reliability.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.reliability.domain.TBamList;
import com.ruoyi.project.reliability.domain.TBamOriginal;

/**
 * 故障管理跟踪Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-21
 */
public interface TBamListMapper
{
    /**
     * 查询故障管理跟踪
     *
     * @param id 故障管理跟踪ID
     * @return 故障管理跟踪
     */
    public TBamList selectTBamListById(Long id);

    /**
     * 查询故障管理跟踪列表
     *
     * @param tBamList 故障管理跟踪
     * @return 故障管理跟踪集合
     */
    @DataScope(deptAlias = "d")
    public List<TBamList> selectTBamListList(TBamList tBamList);

    /**
     * 定时任务查询故障管理跟踪列表
     *
     * @param tBamList 故障管理跟踪
     * @return 故障管理跟踪集合
     */
    public List<TBamList> selectList(TBamList tBamList);

    /**
     * 新增故障管理跟踪
     *
     * @param tBamList 故障管理跟踪
     * @return 结果
     */
    public int insertTBamList(TBamList tBamList);

    /**
     * 初选提交故障管理跟踪
     *
     * @param bamOriginal 故障管理初选
     * @return 结果
     */
    public int insertTBamListFromOriginal(TBamOriginal bamOriginal);

    /**
     * 修改故障管理跟踪
     *
     * @param tBamList 故障管理跟踪
     * @return 结果
     */
    public int updateTBamList(TBamList tBamList);

    /**
     * 删除故障管理跟踪
     *
     * @param id 故障管理跟踪ID
     * @return 结果
     */
    public int deleteTBamListById(Long id);

    /**
     * 批量删除故障管理跟踪
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBamListByIds(Long[] ids);

    List<DataEntity> selectPriorityData(Map param);

    List<DataEntity> selectDisciplineData(Map param);
}
